Subject: bug#51734: 29.0.50; got slow

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Nov 2021 21:26:32 +0200

> Date: Fri, 12 Nov 2021 13:22:28 -0500
> Cc: [email-masked], [email-masked]
> From: Ken Brown <[email-masked]>
> 
> The only thing I can think of is that Cygwin is probably the only system that 
> has timerfd and that also has to use timers to poll for input.  (The others all 
> use SIGIO, if I'm not mistaken.)  By using two different kinds of timers 
> simultaneously, we're getting timers expiring twice as often and not at regular 
> intervals.  Could this account for the slowdown?

At what frequency does the other timer tick, the one used to poll for
input?

> In any case, I think I should go ahead and install the patch to make the master 
> branch usable again on Cygwin.

Feel free.